Subject: Re: question on FSL_EMB perf

From: Scott Wood <[email-masked]>
Date: Wed, 10 Jun 2015 16:28:11 -0500

On Wed, 2015-06-10 at 23:14 +0200, Peter Zijlstra wrote:
> On Wed, 2015-06-10 at 15:13 -0500, Scott Wood wrote:
> 
> > What sort of "nesting nonsense" would we get on ppc32?  I wasn't 
> > trying to say that the pseudo-NMIs didn't count -- I was pointing 
> > out 
> > that we don't even have that on ppc32.
> 
> Oh, I was not aware ppc32 did not have that.
> 
> > > # git grep nmi_enter arch/powerpc/
> > > arch/powerpc/perf/core-book3s.c:                nmi_enter();
> > > arch/powerpc/perf/core-fsl-emb.c:               nmi_enter();
> > 
> > nmi_enter() only gets called when perf_intr_is_nmi() returns non-
> > zero, 
> > which only happens on ppc64.
> 
> ok, so fsl-emb is ppc32 and ppc64, not confusing at all this stuff.

Both drivers can be used on either 32 or 64 bits.

-Scott